Package: groovy.text

## [Java] Class TemplateParseException

- groovy.text.TemplateParseException

-     public class TemplateParseException
      extends RuntimeException

  A custom exception class to flag template parsing errors

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TemplateParseException(int lineNumber, int column)`
    `TemplateParseException(String message, int lineNumber, int column)`
    `TemplateParseException(String message, Throwable cause, int lineNumber, int column)`
    `TemplateParseException(Throwable t, int lineNumber, int column)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getColumn()`
    `` | `public int` | `getLineNumber()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public TemplateParseException(int lineNumber, int column)

    - #### public TemplateParseException(String message, int lineNumber, int column)

    - #### public TemplateParseException(String message, Throwable cause, int lineNumber, int column)

    - #### public TemplateParseException(Throwable t, int lineNumber, int column)

  - ### Method Detail

    - #### public int getColumn()

    - #### public int getLineNumber()